> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.finput.com.au/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.finput.com.au/_mcp/server.

# Update product (partial)

PATCH https://api.finput.com.au/api/v1/products/{id}
Content-Type: application/json

Reference: https://docs.finput.com.au/api/endpoints/products/patch-product

## Authentication

- `Authorization` header (bearer token, required) — JWT access token obtained from `POST /api/v1/auth/login`, or a `finput_sk_...` API token

## Request

### Path parameters

- `id` (integer, required)

### Body (application/json)

This endpoint expects a ProductCreateRequest.

- `product_name` (string, required)
- `organisation_id` (integer, optional)
- `min_range` (integer, optional)
- `max_range` (integer, optional)
- `min_amount` (float, optional)
- `max_amount` (float, optional)
- `min_abn_age` (integer, optional)
- `max_abn_age` (integer, optional)
- `min_asset_age` (integer, optional)
- `max_asset_age` (integer, optional)
- `min_gst_age` (integer, optional)
- `max_gst_age` (integer, optional)
- `min_asset_age_plus_term` (integer, optional)
- `max_asset_age_plus_term` (integer, optional)
- `min_credit_score` (integer, optional)
- `max_credit_score` (integer, optional)
- `monthly_fee` (float, optional)
- `documentation_fee` (float, optional)
- `brokerage_cap` (float, optional)
- `maximum_brokerage_limit` (float, optional)
- `compounding_frequency` (enum, optional) — Compounding frequency: - `w` - Weekly - `m` - Monthly - `q` - Quarterly - `y` - Yearly
  - Allowed values: `w`, `m`, `q`, `y`
- `brokerage_loading_treatment` (float, optional)
- `max_origination_fee_limit` (float, optional)
- `doc_fee_financed` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `private_sale` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `sale_hire_back` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `home_owner` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`

## Response

### 200

Product updated

- `message` (string, optional)
- `data` (Product, optional)

## Types

### Product

- `id` (integer, optional)
- `product_name` (string, optional)
- `organisation_id` (integer, optional, nullable) — ID of the owning organisation
- `min_range` (integer, optional, nullable) — Minimum loan term (months)
- `max_range` (integer, optional, nullable) — Maximum loan term (months)
- `min_amount` (float, optional, nullable) — Minimum loan amount ($)
- `max_amount` (float, optional, nullable) — Maximum loan amount ($)
- `min_abn_age` (integer, optional, nullable) — Minimum ABN age (months)
- `max_abn_age` (integer, optional, nullable)
- `min_asset_age` (integer, optional, nullable) — Minimum asset age (months)
- `max_asset_age` (integer, optional, nullable)
- `min_gst_age` (integer, optional, nullable) — Minimum GST registration age (months)
- `max_gst_age` (integer, optional, nullable)
- `min_asset_age_plus_term` (integer, optional, nullable)
- `max_asset_age_plus_term` (integer, optional, nullable)
- `min_credit_score` (integer, optional, nullable)
- `max_credit_score` (integer, optional, nullable)
- `monthly_fee` (float, optional, nullable)
- `documentation_fee` (float, optional, nullable)
- `brokerage_cap` (float, optional, nullable) — Maximum brokerage percentage
- `maximum_brokerage_limit` (float, optional, nullable) — Maximum brokerage dollar amount
- `compounding_frequency` (enum, optional) — Compounding frequency: - `w` - Weekly - `m` - Monthly - `q` - Quarterly - `y` - Yearly
  - Allowed values: `w`, `m`, `q`, `y`
- `brokerage_loading_treatment` (float, optional, nullable)
- `max_origination_fee_limit` (float, optional, nullable)
- `doc_fee_financed` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `private_sale` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `sale_hire_back` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `home_owner` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)

## Examples

**Request**

```json
{
  "product_name": "Business Equipment Loan"
}
```

**Response**

```json
{
  "message": "string",
  "data": {
    "id": 1,
    "product_name": "string",
    "organisation_id": 1,
    "min_range": 1,
    "max_range": 1,
    "min_amount": 1.1,
    "max_amount": 1.1,
    "min_abn_age": 1,
    "max_abn_age": 1,
    "min_asset_age": 1,
    "max_asset_age": 1,
    "min_gst_age": 1,
    "max_gst_age": 1,
    "min_asset_age_plus_term": 1,
    "max_asset_age_plus_term": 1,
    "min_credit_score": 1,
    "max_credit_score": 1,
    "monthly_fee": 1.1,
    "documentation_fee": 1.1,
    "brokerage_cap": 1.1,
    "maximum_brokerage_limit": 1.1,
    "compounding_frequency": "w",
    "brokerage_loading_treatment": 1.1,
    "max_origination_fee_limit": 1.1,
    "doc_fee_financed": "yes",
    "private_sale": "yes",
    "sale_hire_back": "yes",
    "home_owner": "yes",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.finput.com.au/api/v1/products/1"

payload = { "product_name": "Business Equipment Loan" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.finput.com.au/api/v1/products/1';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"product_name":"Business Equipment Loan"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.finput.com.au/api/v1/products/1"

	payload := strings.NewReader("{\n  \"product_name\": \"Business Equipment Loan\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.finput.com.au/api/v1/products/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"product_name\": \"Business Equipment Loan\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.finput.com.au/api/v1/products/1")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"product_name\": \"Business Equipment Loan\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.finput.com.au/api/v1/products/1', [
  'body' => '{
  "product_name": "Business Equipment Loan"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.finput.com.au/api/v1/products/1");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"product_name\": \"Business Equipment Loan\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["product_name": "Business Equipment Loan"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.finput.com.au/api/v1/products/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```